DigestAuthModule (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.jaspi.modules

## Class DigestAuthModule

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.BaseAuthModule
  - - org.eclipse.jetty.security.jaspi.modules.DigestAuthModule

- All Implemented Interfaces:
    javax.security.auth.message.config.ServerAuthContext, javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.ServerAuth

  Deprecated.
  use *ServerAuthentication

      public class DigestAuthModule
      extends BaseAuthModule

  Version:
    $Rev: 4627 $ $Date: 2009-02-20 00:07:19 +0100 (Fri, 20 Feb 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `maxNonceAge` Deprecated.
    `protected long` | `nonceSecret` Deprecated.
    `protected boolean` | `useStale` Deprecated.

    - ### Fields inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `callbackHandler, LOGIN_SERVICE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestAuthModule()` Deprecated.
    `DigestAuthModule(CallbackHandler callbackHandler, String realmName)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `checkNonce(String nonce, long timestamp)` Deprecated.
    `void` | `initialize(javax.security.auth.message.MessagePolicy requestPolicy, javax.security.auth.message.MessagePolicy responsePolicy, CallbackHandler handler, Map options)` Deprecated.
    `String` | `newNonce(long ts)` Deprecated.
    `javax.security.auth.message.AuthStatus` | `validateRequest(javax.security.auth.message.MessageInfo messageInfo, Subject clientSubject, Subject serviceSubject)` Deprecated.

    - ### Methods inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `cleanSubject, getSupportedMessageTypes, isMandatory, login, login, secureResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxNonceAge

          protected long maxNonceAge

      Deprecated.

    - #### nonceSecret

          protected long nonceSecret

      Deprecated.

    - #### useStale

          protected boolean useStale

      Deprecated.

  - ### Constructor Detail

    - #### DigestAuthModule

          public DigestAuthModule()

      Deprecated.

    - #### DigestAuthModule

          public DigestAuthModule(CallbackHandler callbackHandler,
                          String realmName)

      Deprecated.

  - ### Method Detail

    - #### initialize

          public void initialize(javax.security.auth.message.MessagePolicy requestPolicy,
                        javax.security.auth.message.MessagePolicy responsePolicy,
                        CallbackHandler handler,
                        Map options)
                          throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `initialize` in interface `javax.security.auth.message.module.ServerAuthModule`
      Overrides:
        `initialize` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### validateRequest

          public javax.security.auth.message.AuthStatus validateRequest(javax.security.auth.message.MessageInfo messageInfo,
                                                               Subject clientSubject,
                                                               Subject serviceSubject)
                                                                 throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `validateRequest` in interface `javax.security.auth.message.ServerAuth`
      Overrides:
        `validateRequest` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### newNonce

          public String newNonce(long ts)

      Deprecated.

    - #### checkNonce

          public int checkNonce(String nonce,
                       long timestamp)

      Deprecated.
      Parameters:
        `nonce` -
        `timestamp` - should be timestamp of request.
      Returns:
        -1 for a bad nonce, 0 for a stale none, 1 for a good nonce

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.